%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-power-manager
Version:        1.28.1
Release:        %mkrel 2
Summary:        MATE Power Manager
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://www.mate-desktop.org
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  itstool
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  autoconf-archive
BuildRequires:  polkit-devel

Requires:      mate-icon-theme >= %{url_ver}
Requires:      upower

%description
MATE Power Manager uses the information and facilities provided by UPower
displaying icons and handling user callbacks in an interactive MATE session.

%prep
%autosetup

%build
autoreconf -fi
%configure \
        --disable-schemas-compile

%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name} --with-gnome --all-name

%files  -f %{name}.lang
%doc AUTHORS README
%license COPYING
%{_mandir}/man1/mate-power-*.*
%{_bindir}/mate-power-manager
%{_bindir}/mate-power-preferences
%{_bindir}/mate-power-statistics
%{_sbindir}/mate-power-backlight-helper
%{_datadir}/applications/mate-*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-power-manager/
%{_datadir}/icons/hicolor/*/apps/mate-*.*
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_sysconfdir}/xdg/autostart/mate-power-manager.desktop
%{_libexecdir}/mate-brightness-applet
%{_libexecdir}/mate-inhibit-applet


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.28.1-2.mga10
+ Revision: 2221730
- Mageia 10 Mass Rebuild

* Sun Mar 24 2024 wally <wally> 1.28.1-1.mga10
+ Revision: 2051755
- new version 1.28.1

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959800
- Update to version 1.26.1

* Fri Apr 01 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837909
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740047
- new version 1.26.0

* Mon Apr 05 2021 kekepower <kekepower> 1.24.3-1.mga9
+ Revision: 1713562
- Update to version 1.24.3

* Mon Aug 24 2020 kekepower <kekepower> 1.24.2-1.mga8
+ Revision: 1618701
- Update to version 1.24.2

* Tue Mar 24 2020 kekepower <kekepower> 1.24.1-2.mga8
+ Revision: 1559200
- Update to version 1.24.1

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547898
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488637
- Update BRs
- BR autoconf-archive
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465684
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397032
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375478
- Update to version 1.22.0

* Sun Dec 23 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1344605
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337261
- Update to version 1.20.2
- Rolled back to r1299477

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335523
- Update to version 1.21.0

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299477
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201476
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187456
- Updated to 1.19.1 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174706
- Update to 1.19.0 version

* Sat Sep 16 2017 cjw <cjw> 1.18.0-2.mga7
+ Revision: 1154763
- rebuild for new find_lang

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092589
- Update to 1.18.0 version
- Updated to 1.17.1 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074711
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001471
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 949494
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908210
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898519
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 872986
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 838472
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 745392
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 734472
- Update to 1.8.1 version
- Drop upstreamed patches
- Fix homepage url
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682200
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.8.0-2.mga5
+ Revision: 668657
- rebuild for new upower

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600100
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598054
- Update to 1.7.x version

* Mon Feb 10 2014 tarakbumba <tarakbumba> 1.6.3-2.mga5
+ Revision: 587858
- Rebuild for upower-glib changes

* Tue Dec 17 2013 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 558276
- Bugfix release

* Thu Dec 05 2013 tarakbumba <tarakbumba> 1.6.2-3.mga4
+ Revision: 555485
- Upstream bug fixes:
- Add more backlight interfaces
- Fix suspend issue on lid close (mga#11857)
- Fix systemd support fo gpm phone manager
- Fix dbus path for gpm phone manager

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 531775
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 464719
- updated sources to 1.6.2

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442986
- imported package mate-power-manager

